"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _field = _interopRequireDefault(require("./field"));

var _returnTypes = require("../return-types");

var _operators = require("../operators");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var FieldNumberInput =
/*#__PURE__*/
function (_Field) {
  _inherits(FieldNumberInput, _Field);

  function FieldNumberInput() {
    _classCallCheck(this, FieldNumberInput);

    return _possibleConstructorReturn(this, _getPrototypeOf(FieldNumberInput).apply(this, arguments));
  }

  return FieldNumberInput;
}(_field.default);

exports.default = FieldNumberInput;

_defineProperty(FieldNumberInput, "displayName", 'Number');

_defineProperty(FieldNumberInput, "typeLabel", 'Number');

_defineProperty(FieldNumberInput, "type", 'field-number-input');

_defineProperty(FieldNumberInput, "treatAsType", _returnTypes.NUMBER);

_defineProperty(FieldNumberInput, "returnTypes", [_returnTypes.NUMBER, _returnTypes.TEXT]);

_defineProperty(FieldNumberInput, "matchTypes", [_returnTypes.NUMBER, _returnTypes.TEXT]);

_defineProperty(FieldNumberInput, "preferredOperators", (0, _operators.names)(_operators.IS, _operators.IS_GREATER_THAN, _operators.IS_LESS_THAN));
//# sourceMappingURL=field-number-input.js.map
