"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _lodash = _interopRequireDefault(require("lodash"));

var _returnTypes = require("../return-types");

var _CATEGORY_LIST$GROUP_;

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var compareObject = _lodash.default.curry(function (rightFn, leftFn, right, left) {
  return rightFn(right) === leftFn(left);
});

var listContains = _lodash.default.curry(function (comparator, list, right) {
  return _lodash.default.some(list, comparator(right));
});

var _default = (_CATEGORY_LIST$GROUP_ = {}, _defineProperty(_CATEGORY_LIST$GROUP_, _returnTypes.CATEGORY_LIST, _defineProperty({}, _returnTypes.CATEGORY, listContains(compareObject(_lodash.default.property('id'), _lodash.default.property('id'))))), _defineProperty(_CATEGORY_LIST$GROUP_, _returnTypes.GROUP_LIST, _defineProperty({}, _returnTypes.GROUP, listContains(compareObject(_lodash.default.property('id'), _lodash.default.property('id'))))), _defineProperty(_CATEGORY_LIST$GROUP_, _returnTypes.TEXT, _defineProperty({}, _returnTypes.TEXT, _lodash.default.includes)), _defineProperty(_CATEGORY_LIST$GROUP_, _returnTypes.TEXT_LIST, _defineProperty({}, _returnTypes.TEXT, function (left, right) {
  return _lodash.default.isArray(left) ? left.includes(right) : _lodash.default.isEqual(left, right);
})), _CATEGORY_LIST$GROUP_);

exports.default = _default;
//# sourceMappingURL=contains.js.map
