"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = evaluate;

var _returnTypes = require("../return-types");

var _fnMap;

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function evaluate(leftDataType, leftValue, rightDataType, rightValue) {
  return fnMap[leftDataType][rightDataType](leftValue, rightValue);
}

var fnMap = (_fnMap = {}, _defineProperty(_fnMap, _returnTypes.TEXT, _defineProperty({}, _returnTypes.TEXT, function (left, right) {
  return left === right;
})), _defineProperty(_fnMap, _returnTypes.USER, _defineProperty({}, _returnTypes.USER, function (left, right) {
  return left.id === right.id;
})), _fnMap);
//# sourceMappingURL=has-selected.js.map
