"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _field = _interopRequireDefault(require("./field"));

var _returnTypes = require("../../../data-dictionary/return-types");

var _operators = require("../../../data-dictionary/operators");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var CMFieldTextInput =
/*#__PURE__*/
function (_CMField) {
  _inherits(CMFieldTextInput, _CMField);

  function CMFieldTextInput() {
    _classCallCheck(this, CMFieldTextInput);

    return _possibleConstructorReturn(this, _getPrototypeOf(CMFieldTextInput).apply(this, arguments));
  }

  return CMFieldTextInput;
}(_field.default);

exports.default = CMFieldTextInput;

_defineProperty(CMFieldTextInput, "typeLabel", 'Text');

_defineProperty(CMFieldTextInput, "type", 'cm-field-text-input');

_defineProperty(CMFieldTextInput, "treatAsType", _returnTypes.TEXT);

_defineProperty(CMFieldTextInput, "returnTypes", [_returnTypes.NUMBER, _returnTypes.TEXT]);

_defineProperty(CMFieldTextInput, "matchTypes", [_returnTypes.NUMBER, _returnTypes.TEXT]);

_defineProperty(CMFieldTextInput, "preferredOperators", (0, _operators.names)(_operators.BEGINS_WITH, _operators.CONTAINS, _operators.DOES_NOT_BEGIN_WITH, _operators.DOES_NOT_CONTAIN, _operators.DOES_NOT_END_WITH, _operators.ENDS_WITH, _operators.IS, _operators.IS_EMPTY, _operators.IS_NOT, _operators.IS_NOT_EMPTY));
//# sourceMappingURL=field-text-input.js.map
