"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _lodash = _interopRequireDefault(require("lodash"));

var _returnTypes = require("../return-types");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var equalityById = _lodash.default.curry(function (left, right) {
  return _lodash.default.isEqual(_lodash.default.get(left, 'id'), _lodash.default.get(right, 'id'));
});

var _default = _defineProperty({}, _returnTypes.GROUP, _defineProperty({}, _returnTypes.GROUP_LIST, function (group, groupList) {
  return _lodash.default.some(groupList, equalityById(group));
}));

exports.default = _default;
//# sourceMappingURL=is-one-of.js.map
